linux-headers-5.4.78-2-pve werden nicht gefunden, Subscription aktiv

Feb 6, 2021
2
0
1
42
Hallo!

Beim Versuch den Active Backup for Business Linux agent zu installieren, wird ein abhängiges Paket erwartet, was nicht gefunden wird.

Code:
Verifying archive integrity...  100%   MD5 checksums are OK. All good.
Uncompressing Active Backup for Business Agent  100% 
Hit:1 http://ftp.debian.org/debian stretch-backports InRelease
Hit:2 http://security.debian.org buster/updates InRelease                           
Hit:3 http://ftp.de.debian.org/debian buster InRelease                               
Hit:4 http://ftp.de.debian.org/debian buster-updates InRelease
Hit:5 https://enterprise.proxmox.com/debian/pmg buster InRelease
Reading package lists... Done           
Building dependency tree       
Reading state information... Done
All packages are up to date.
 * start checking dependency of (4)
 * checking linux-headers-5.4.78-2-pve
 * found linux-headers-5.4.78-2-pve not installed, install automatically
 * installing linux-headers-5.4.78-2-pve
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package linux-headers-5.4.78-2-pve
E: Couldn't find any package by glob 'linux-headers-5.4.78-2-pve'
E: Couldn't find any package by regex 'linux-headers-5.4.78-2-pve'
* install linux-headers-5.4.78-2-pve failed, please try again later, or run 'apt install linux-headers-5.4.78-2-pve manunally or download and install package from https://packages.debian.org/buster/linux-headers-5.4.78-2-pve
 * The installation is complete. You might enter "abb-cli -c" to connect to Synology NAS and back up the Linux device. To learn more commands about Active Backup for Business Linux agent, please type "abb-cli -h".

Weitere Informationen:

Code:
root@pmg:~# dpkg --list | grep pve-headers
ii  pve-headers                    6.2-2                        all          Default Proxmox Kernel Headers
ii  pve-headers-5.4                6.3-3                        all          Latest Proxmox VE Kernel Headers
ii  pve-headers-5.4.78-2-pve       5.4.78-2                     amd64        The Proxmox PVE Kernel Headers
root@pmg:~# dpkg --list | grep pve-kernel
ii  pve-firmware                   3.1-3                        all          Binary firmware code for the pve-kernel
ii  pve-kernel-5.4                 6.3-3                        all          Latest Proxmox VE Kernel Image
ii  pve-kernel-5.4.78-2-pve        5.4.78-2                     amd64        The Proxmox PVE Kernel Image
ii  pve-kernel-helper              6.3-3                        all          Function for various kernel maintenance tasks.

Code:
root@pmg:~# pmgversion -v
proxmox-mailgateway: 6.2-2 (API: 6.3-5/40d25ec2, running kernel: 5.4.78-2-pve)
pmg-api: 6.3-5
pmg-gui: 2.3-1
pve-kernel-5.4: 6.3-3
pve-kernel-helper: 6.3-3
pve-kernel-5.4.78-2-pve: 5.4.78-2
clamav-daemon: 0.102.4+dfsg-0+deb10u1
libarchive-perl: 3.3.3-1
libjs-extjs: 6.0.1-10
libjs-framework7: 4.4.7-1
libpve-apiclient-perl: 3.1-3
libpve-common-perl: 6.3-2
libpve-http-server-perl: 3.1-1
libxdgmime-perl: 0.01-5
lvm2: 2.03.02-3
pmg-docs: 6.3-1
pmg-log-tracker: 2.1.8-1
postgresql-11: 11.10-0+deb10u1
proxmox-mini-journalreader: 1.1-1
proxmox-spamassassin: 3.4.4-3
proxmox-widget-toolkit: 2.4-3
pve-firmware: 3.1-3
pve-xtermjs: 4.7.0-3
zfsutils-linux: 0.8.5-pve1

Inhalt von /etc/apt/sources.llist

Code:
deb http://ftp.debian.org/debian stretch-backports main
deb http://ftp.de.debian.org/debian buster main contrib

deb http://ftp.de.debian.org/debian buster-updates main contrib

# security updates
deb http://security.debian.org buster/updates main contrib

Vielleicht kann mir ja jemand weiterhelfen, damit die Installation klappt. Bei Debian Servern hat die Installation des Active Backup for Business Linux agent geklappt.

Vielen Dank!
Dominik
 

dcsapak

Proxmox Staff Member
Staff member
Feb 1, 2016
6,942
814
163
33
Vienna
bei pmg/pve/pbs heißt das paket einfach anders, nämlich
pve-headers-5.4.78-2-pve

leider keine ahnung wie man das dem skript beibringen kann....
 
Feb 20, 2019
36
4
13
53
Hallo Dominik,

hattest du Dein Problem lösen können? Ich hatte auch geplant den Active Backup for Business Linux agent zu installieren und wollte mich vorab im Forum schlau machen, ob es jemand schon erfolgreich geschafft hat.

Grüße,
Kai

@dominikb
 

About

The Proxmox community has been around for many years and offers help and support for Proxmox VE, Proxmox Backup Server, and Proxmox Mail Gateway.
We think our community is one of the best thanks to people like you!

Get your subscription!

The Proxmox team works very hard to make sure you are running the best software and getting stable updates and security enhancements, as well as quick enterprise support. Tens of thousands of happy customers have a Proxmox subscription. Get your own in 60 seconds.

Buy now!